## mimetreeparser 25.08.3+p24.04+vunstable+git20251204.0616

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,11 +3,11 @@
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.5.3")
+set(PIM_VERSION "6.6.40")
 project(MimeTreeParserNG VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.19.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH
     ${CMAKE_MODULE_PATH}
@@ -15,7 +15,7 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
 )
 set(QT_REQUIRED_VERSION "6.7.0")
-
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
@@ -28,13 +28,14 @@
 include(ECMSetupVersion)
 include(KDEGitCommitHooks)
 include(KDEClangFormat)
-file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
-autotests/*.cpp
-autotests/*.h
-src/*.cpp
-src/*.h
-examples/*.cpp
-examples/*.h	
+file(
+    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
+    autotests/*.cpp
+    autotests/*.h
+    src/*.cpp
+    src/*.h
+    examples/*.cpp
+    examples/*.h
 )
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 
@@ -45,20 +46,20 @@
 include(ECMAddTests)
 
 include(ECMCheckOutboundLicense)
-file(GLOB_RECURSE ALL_SOURCE_FILES
-autotests/*.cpp
-autotests/*.h
-src/*.cpp
-src/*.h
-examples/*.cpp
-examples/*.h
+file(
+    GLOB_RECURSE ALL_SOURCE_FILES
+    autotests/*.cpp
+    autotests/*.h
+    src/*.cpp
+    src/*.h
+    examples/*.cpp
+    examples/*.h
 )
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
-
-set(KPIM_MIME_VERSION "6.5.3")
-set(KPIM_LIBKLEO_VERSION "6.5.3")
-set(KPIM_MBOX_VERSION "6.5.3")
+set(KPIM_MIME_VERSION "6.6.40")
+set(KPIM_LIBKLEO_VERSION "6.6.40")
+set(KPIM_MBOX_VERSION "6.6.40")
 set(GPGME_REQUIRED_VERSION "1.23.2")
 
 ecm_setup_version(PROJECT
@@ -68,13 +69,25 @@
     SOVERSION 6
 )
 
-configure_file(mimetreeparserng-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/mimetreeparserng-version.h @ONLY)
+configure_file(
+    mimetreeparserng-version.h.in
+    ${CMAKE_CURRENT_BINARY_DIR}/src/mimetreeparserng-version.h
+    @ONLY
+)
 
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
+option(
+    BUILD_QCH
+    "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
+    OFF
+)
+add_feature_info(
+    QCH
+    ${BUILD_QCH}
+    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
+)
 
 if(BUILD_TESTING)
-   add_definitions(-DBUILD_TESTING)
+    add_definitions(-DBUILD_TESTING)
 endif()
 
 ########### Find packages ###########
@@ -99,9 +112,13 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
-option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
+option(
+    USE_UNITY_CMAKE_SUPPORT
+    "Use UNITY cmake support (speedup compile time)"
+    OFF
+)
 
 set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
 if(USE_UNITY_CMAKE_SUPPORT)
@@ -115,10 +132,10 @@
     add_subdirectory(autotests)
 endif()
 
-install(FILES
-   ${CMAKE_CURRENT_BINARY_DIR}/mimetreeparserng_version.h
-   DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MimeTreeParserCore
-   COMPONENT Devel
+install(
+    FILES ${CMAKE_CURRENT_BINARY_DIR}/mimetreeparserng_version.h
+    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MimeTreeParserCore
+    COMPONENT Devel
 )
 ecm_qt_install_logging_categories(
     EXPORT MIMETREEPARSERNG
