## mimetreeparser 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,11 +3,11 @@
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.6.40")
+set(PIM_VERSION "6.5.80")
 project(MimeTreeParserNG VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.20.0")
+set(KF_MIN_VERSION "6.18.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH
     ${CMAKE_MODULE_PATH}
@@ -57,9 +57,9 @@
 )
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
-set(KPIM_MIME_VERSION "6.6.40")
-set(KPIM_LIBKLEO_VERSION "6.6.40")
-set(KPIM_MBOX_VERSION "6.6.40")
+set(KPIM_MIME_VERSION "6.5.80")
+set(KPIM_LIBKLEO_VERSION "6.5.80")
+set(KPIM_MBOX_VERSION "6.5.80")
 set(GPGME_REQUIRED_VERSION "1.23.2")
 
 ecm_setup_version(PROJECT
