=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 g10 Code GmbH
# SPDX-FileContributor: Carl Schwan <carl.schwan@gnupg.com>
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(gnupg_home)
add_subdirectory(core)
add_subdirectory(widgets)
