=== debian/control ===
--- 
+++ 
@@ -1,26 +1,26 @@
 Source: mimetreeparser
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.14.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
                gpg-agent <!nocheck>,
                libgpgme-dev (>= 1.21.0~),
                libgpgmepp-dev (>= 1.23.2~),
-               libkf6calendarcore-dev (>= 6.14.0~),
-# remove libkf6config-dev after it's been added to libkf6colorscheme-dev
+               libkf6calendarcore-dev (>= 6.6.0~),
+               libkf6colorscheme-dev,
                libkf6config-dev,
-               libkf6colorscheme-dev (>= 6.14.0~),
-               libkf6i18n-dev (>= 6.14.0~),
-               libkf6widgetsaddons-dev (>= 6.14.0~),
-               libkleo-dev (>= 4:25.08.3~),
-               libkmbox-dev (>= 25.08.3~),
-               libkmime-dev (>= 25.08.3~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6widgetsaddons-dev (>= 6.6.0~),
+               libkleo-dev (>= 4:25.11.80~),
+               libkmbox-dev (>= 25.11.80~),
+               libkmime-dev (>= 25.11.80~),
                libxkbcommon-dev,
                qml6-module-org-kde-kirigami,
                qml6-module-qtwebengine [amd64 arm64 armhf i386],
@@ -29,10 +29,10 @@
                qt6-declarative-private-dev,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/mimetreeparser
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mimetreeparser
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mimetreeparser.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mimetreeparser
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mimetreeparser
 Rules-Requires-Root: no
 
 Package: libmimetreeparser-data
@@ -80,9 +80,9 @@
 Package: libmimetreeparser-dev
 Architecture: any
 Multi-Arch: same
-Depends: libkf6i18n-dev (>= 6.14.0~),
-         libkmbox-dev (>= 25.08.3~),
-         libkmime-dev (>= 25.08.3~),
+Depends: libkf6i18n-dev (>= 6.6.0~),
+         libkmbox-dev (>= 25.11.80~),
+         libkmime-dev (>= 25.11.80~),
          libkpim6mimetreeparsercore6 (= ${binary:Version}),
          libkpim6mimetreeparserwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-mimetreeparser (= ${binary:Version}) [amd64 arm64 armhf i386],
@@ -99,9 +99,7 @@
 Package: qml6-module-org-kde-mimetreeparser
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: QML module for a MIME tree parser
  This is a parser for a MIME tree and is based on KMime. The goal is
  given a MIME tree to extract a list of parts (e.g. text, html) and a
