=== debian/control ===
--- 
+++ 
@@ -18,9 +18,9 @@
                libkf6config-dev,
                libkf6i18n-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkleo-dev (>= 4:25.11.80~),
-               libkmbox-dev (>= 25.11.80~),
-               libkmime-dev (>= 25.11.80~),
+               libkleo-dev (>= 4:25.11.90~),
+               libkmbox-dev (>= 25.11.90~),
+               libkmime-dev (>= 25.11.90~),
                libxkbcommon-dev,
                qml6-module-org-kde-kirigami,
                qml6-module-qtwebengine [amd64 arm64 armhf i386],
@@ -81,8 +81,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6i18n-dev (>= 6.6.0~),
-         libkmbox-dev (>= 25.11.80~),
-         libkmime-dev (>= 25.11.80~),
+         libkmbox-dev (>= 25.11.90~),
+         libkmime-dev (>= 25.11.90~),
          libkpim6mimetreeparsercore6 (= ${binary:Version}),
          libkpim6mimetreeparserwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-mimetreeparser (= ${binary:Version}) [amd64 arm64 armhf i386],
