## mimetreeparser 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.5.90")
+set(PIM_VERSION "6.6.0")
 project(MimeTreeParserNG VERSION ${PIM_VERSION})
 
 # ECM setup
@@ -57,9 +57,9 @@
 )
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
-set(KPIM_MIME_VERSION "6.5.90")
-set(KPIM_LIBKLEO_VERSION "6.5.90")
-set(KPIM_MBOX_VERSION "6.5.90")
+set(KPIM_MIME_VERSION "6.6.0")
+set(KPIM_LIBKLEO_VERSION "6.6.0")
+set(KPIM_MBOX_VERSION "6.6.0")
 set(GPGME_REQUIRED_VERSION "1.23.2")
 
 ecm_setup_version(PROJECT
