## mimetreeparser 25.12.0+p24.04+vstable+git20260102.1201

=== debian/changelog ===
mimetreeparser (25.12.0+p24.04+vstable+git20260102.1201-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 12:01:54 +0000

mimetreeparser (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:28:31 +1000
