## mimetreeparser 25.12.0+p24.04+vstable+git20260105.0912

=== debian/changelog ===
mimetreeparser (25.12.0+p24.04+vstable+git20260105.0912-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:12:42 +0000
