=== debian/changelog ===
mimetreeparser (25.12.0+p24.04+vunstable+git20251208.2025-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 20:25:32 +0000
